Subject: Re: Sorry, the password you entered is incorrect

From: xris <[email-masked]>
Date: Tue, 18 Sep 2001 15:39:20 -0700

> The `configure` script was run with the following options:
> --with-shadow --with-config-dir=/usr/local/etc/atalk \
> --with-ssl-dir=/usr/local/ssl

Ok.  I'm using

./configure --with-shadow --without-pam --with-tcp-wrappers \
--enable-lastdid --disable-ddp --enable-afs \
--with-ssl-dir=/usr/local/ssl --with-config-dir=/etc/atalk

But it's similar enough.

> I am using OpenSSL 0.9.6b (not the OpenSSL distributed with
> Slackware 8).

Aha!  this is the trick...   Downloaded this new version, killed the one
that came with slackware, and not only did pre6 compile, but it also WORKED.

So now that this works, I try pre7 again (which used to compile, before I
reinstalled slackware to fix some other errors and expand my swap partition)

Now, with the config params mentioned above, which work fine for pre6, I get
the following compile errors.  Anyone have any suggestions?

> make  all-recursive
> make[1]: Entering directory `/usr/src/netatalk-1.5pre7'
> Making all in libatalk
> make[2]: Entering directory `/usr/src/netatalk-1.5pre7/libatalk'
> Making all in adouble
> make[3]: Entering directory `/usr/src/netatalk-1.5pre7/libatalk/adouble'
> /bin/sh ../../libtool --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I../..
> -g -O2 -I/usr/include -I../../include -I../../sys -I/usr/local/ssl/include
> -I/usr/local/ssl/include/openssl -c ad_open.c
> rm -f .libs/ad_open.lo
> gcc -DHAVE_CONFIG_H -I. -I. -I../.. -g -O2 -I/usr/include -I../../include
> -I../../sys -I/usr/local/ssl/include -I/usr/local/ssl/include/openssl -c
> ad_open.c  -fPIC -DPIC -o ad_open.o
> ad_open.c: In function `ad_header_read':
> ad_open.c:369: `ADEDLEN_MAGIC' undeclared (first use in this function)
> ad_open.c:369: (Each undeclared identifier is reported only once
> ad_open.c:369: for each function it appears in.)
> ad_open.c:407: `ADEDLEN_VERSION' undeclared (first use in this function)
> ad_open.c:408: `ADEDLEN_FILLER' undeclared (first use in this function)
> ad_open.c: In function `ad_open':
> ad_open.c:600: structure has no member named `ad_inited'
> ad_open.c:600: `AD_INITED' undeclared (first use in this function)
> ad_open.c:603: structure has no member named `adf_lockmax'
> ad_open.c:603: structure has no member named `adf_lockcount'
> ad_open.c:603: incompatible types in assignment
> ad_open.c:604: structure has no member named `adf_lockmax'
> ad_open.c:604: structure has no member named `adf_lockcount'
> ad_open.c:604: incompatible types in assignment
> ad_open.c:608: structure has no member named `ad_inited'
> ad_open.c:609: structure has no member named `ad_refcount'
> ad_open.c:621: structure has no member named `adf_refcount'
> ad_open.c:760: structure has no member named `adf_refcount'
> make[3]: *** [ad_open.lo] Error 1
> make[3]: Leaving directory `/usr/src/netatalk-1.5pre7/libatalk/adouble'
> make[2]: *** [all-recursive] Error 1
> make[2]: Leaving directory `/usr/src/netatalk-1.5pre7/libatalk'
> make[1]: *** [all-recursive] Error 1
> make[1]: Leaving directory `/usr/src/netatalk-1.5pre7'
> make: *** [all-recursive-am] Error 2